API Reference
Instagram API
Access Instagram data including posts, reels, stories, users, and hashtags for AI Agents
Version
1.0.0
Endpoints
25
Base URL
https://api.pressmonitor.com/instagram/v1 Authentication
All requests use Bearer token authentication. Add the Authorization header to every call.
Authorization: Bearer YOUR_TOKEN GET
/audio-info Audio Info
Audio Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| audio_id | string | query | Yes | Audio id |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/audio-info" querystring = {"audio_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/comments-thread Comments Thread
Comments Thread
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| comment_id | string | query | Yes | Comment id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/comments-thread" querystring = {"comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/followers Followers
Followers
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/followers" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/following Following
Following
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/following" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/hashtag-posts Hashtag Posts
Hashtag Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| hashtag | string | query | Yes | Hashtag |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/hashtag-posts" querystring = {"hashtag":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/highlight-info Highlight Info
Highlight Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| highlight_id | string | query | Yes | Highlight id |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlight-info" querystring = {"highlight_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/highlights Highlights
Highlights
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlights" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/info Info
Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
| include_about | string | query | No | Include about |
| url_embed_safe | string | query | No | Url embed safe |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/info" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","include_about":"SOME_STRING_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/likes Likes
Likes
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| shortcode | string | query | Yes | Shortcode |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/likes" querystring = {"shortcode":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/location-posts Location Posts
Location Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| location_id | string | query | Yes | Location id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/location-posts" querystring = {"location_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/post-info Post Info
Post Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| url_or_shortcode | string | query | Yes | Url or shortcode |
| cursor | integer | query | No | Pagination cursor for next page |
| url_embed_safe | string | query | No | Url embed safe |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/post-info" querystring = {"url_or_shortcode":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/posts Posts
Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/posts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/reels Reels
Reels
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reels" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/reposts Reposts
Reposts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reposts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-audios Search Audios
Search Audios
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| search_query | string | query | Yes | Search query |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-audios" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-coordinates Search Coordinates
Search Coordinates
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| lat | string | query | Yes | Lat |
| lng | string | query | Yes | Lng |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-coordinates" querystring = {"lat":"SOME_STRING_VALUE","lng":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-locations Search Locations
Search Locations
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| search_query | string | query | Yes | Search query |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-locations" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-posts Search Posts
Search Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| search_query | string | query | Yes | Search query |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-posts" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-reels Search Reels
Search Reels
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| search_query | string | query | Yes | Search query |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-reels" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-similar Search Similar
Search Similar
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id | string | query | Yes | Username or id |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-similar" querystring = {"username_or_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/search-users Search Users
Search Users
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| search_query | string | query | Yes | Search query |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-users" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/stories Stories
Stories
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/stories" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
GET
/tagged Tagged
Tagged
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Yes | Username or id or url |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Pagination cursor for next page |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/tagged" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
200 Success
/commentsComments
Comments
Parameters
stringintegerintegerCode Examples
Responses